package noauthagent


import (
	"github.com/google/uuid"
	"testing"

)


func TestCreateUUid(t *testing.T) {

	uu, err := uuid.NewUUID()

	if err != nil {
		t.Fatal(err)
	}

	t.Log(uu)

}

func TestCreateNoAuthAgent(t *testing.T) {

	na := NewNoAuthAgent("2334278390283", 111, "Snoop")

	na.TempKey = "22222222"
	na.AuthStatus = "WAIT"

	nas := NewNoAuthAgentService()

	out, err := nas.SaveNoAuthAgent(na)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)

}

func TestCheckAuthNoAuthAgent(t *testing.T) {

	na := NewNoAuthAgent("2334278390283", 111, "Snoop")

	na.TempKey = "alsdkjf;alkdjsf;la"
	na.AuthStatus = "WAIT"

	nas := NewNoAuthAgentService()

	out, err := nas.CheckAuth(na.TempKey)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)
	//
}


func TestNoAuthList(t *testing.T) {


	nas := NewNoAuthAgentService()

	out, err := nas.GetNoAuthList("ACCEPT")

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)

}